Bug 145062 - Libraries in /usr/lib, binaries in /sbin?
Summary: Libraries in /usr/lib, binaries in /sbin?
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: magma   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Chris Feist
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 144795
TreeView+ depends on / blocked
 
Reported: 2005-01-14 00:20 UTC by Lon Hohberger
Modified: 2009-04-16 20:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-08 18:15:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lon Hohberger 2005-01-14 00:20:30 UTC
Libraries (magma, ccs, dlm, etc.) are currently placed in /usr/lib. 
This made sense when binaries were also placed in /usr/sbin, but since
they are now in /sbin, we need to move the libraries back to /lib.

Furthermore, magma-plugins need to be moved to /lib/magma, and they
need to be renamed to "magma_*.so" to match up with existing
precedents set by libipt and pam.

Comment 3 Lon Hohberger 2005-01-28 19:59:55 UTC
magma now supports building and installing static + dynamic libs in
different locations.  e.g.:

./configure --libdir=/lib --slibdir=/usr/lib

The above would be sufficient for magma, but other libraries may still
need to be moved around.  This change affects magma and magma-plugins,
but none of the other libs in /usr/lib (e.g. libdlm, libccs, libgulm...)

Comment 4 Lon Hohberger 2005-01-28 20:13:30 UTC
Tossing over to cfeist.  It's a build/packaging issue now, at least,
as far as magma is concerned.




Comment 5 Chris Feist 2005-01-28 21:44:13 UTC
I've updated the specfiles for beehive and they've been built.

Waiting on confirmation that they have been built successfully.

Comment 6 Chris Feist 2005-01-31 23:30:43 UTC
I've verified the latest builds and they contain the magma &
magma-plugins libraries in the correct places.



Comment 7 Derek Anderson 2005-03-08 18:15:15 UTC
Changing to closed.

[root@link-12 ~]# magma_tool list
Magma: Checking plugins in /lib/magma

File            Status  Message
----            ------  -------
magma_gulm.so   [OK]    GuLM Plugin v1.0
magma_sm.so     [OK]    CMAN/SM Plugin v1.1.2

Magma: 2 plugins available
[root@link-12 ~]# magma_tool config libdir
/lib
[root@link-12 ~]# magma_tool config slibdir
/usr/lib
[root@link-12 ~]# magma_tool config plugindir
/lib/magma
[root@link-12 ~]# ls -l /lib/magma
total 48
-rwxr-xr-x  1 root root 27576 Mar  4 12:49 magma_gulm.so
-rwxr-xr-x  1 root root 18656 Mar  4 12:49 magma_sm.so


Note You need to log in before you can comment on or make changes to this bug.